# Sample Apps

This section introduces various sample applications which are published to external sites with complete source code and explanation.

* [Twitter Single Sign-on App](/sampleapp/samples/twitter_sso.md)
* [Facebook Single Sign-on App](/sampleapp/samples/facebook_sso.md)
* [Flickr Sample](/sampleapp/samples/flickr.md)
* [TODO App](/sampleapp/samples/todo.md)
* [BirthYear App](/sampleapp/samples/age-calc.md)
* [AdMob](/sampleapp/samples/admob.md)
* [Break the Bricks](/sampleapp/samples/break_the_bricks.md)
* [Train Catalog App](/sampleapp/samples/shinkansen.md)
* [Omikuji Fortune Telling App](/sampleapp/samples/omikuji.md)
* [Clock App](/sampleapp/samples/clock.md)
* [Memo Application](/sampleapp/samples/memo_application.md)
* [RSS Reader App](/sampleapp/samples/sample_rss_reader.md)
* [Hello World App](/sampleapp/samples/hello_world.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://en.docs.monaca.io/sampleapp/samples.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
